Bug 635778 - IndexError: list index out of range
IndexError: list index out of range
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks: F14AnacondaBlocker
  Show dependency treegraph
 
Reported: 2010-09-20 13:08 EDT by James Laska
Modified: 2013-09-02 02:50 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-14.21-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 595659
Environment:
Last Closed: 2010-10-19 18:24:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (238.88 KB, text/plain)
2010-10-13 04:58 EDT, He Rui
no flags Details

  None (edit)
Description James Laska 2010-09-20 13:08:52 EDT
+++ This bug was initially created as a clone of Bug #595659 +++

The following was filed automatically by anaconda:
anaconda 13.21.45 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/examine_gui.py", line 122, in getScreen
    self.root = self.parts[0]
  File "/usr/lib/anaconda/gui.py", line 1415, in setScreen
    new_screen = self.currentWindow.getScreen(anaconda)
  File "/usr/lib/anaconda/gui.py", line 1327, in prevClicked
    self.setScreen ()
IndexError: list index out of range

How reproducible:
always

Steps to reproduce:
0. You must have *Fedora* installed on the disk, so you can see the ugprade dialog during the installation
1. Start VNC installation
2. When you're in stage2, click next until the partitioning dialog. Choose there "use existing partitioning layout" and select "review and modify partitioning layout"
3. Select disks you want to use and click next.
4. After you see the partitioning layout, click back until you get to the first welcome screen.

Result:
You can't go back to the first step, traceback is thrown in the time "upgrade screen" should be displayed.

Expected result:
User can go back to the first step

--- Additional comment from jlaska@redhat.com on 2010-09-20 13:04:44 EDT ---

Reproduced using Fedora 14 Beta RC2

Created attachment 448515 [details]
Attached traceback automatically from anaconda.
Comment 1 James Laska 2010-09-20 13:09:24 EDT
Adding CommonBugs keyword so this issue can be documented if the Beta is released with this bug.
Comment 2 He Rui 2010-09-28 02:54:39 EDT
I can directly reproduce it in kvm even without VNC.
Comment 3 John Poelstra 2010-10-06 17:18:04 EDT
Moving back to ASSIGNED.  I don't see any indication that this bug is fixed.
Comment 4 Fedora Update System 2010-10-06 18:02:21 EDT
anaconda-14.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.18-1.fc14
Comment 5 Fedora Update System 2010-10-07 15:50:30 EDT
anaconda-14.18-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/anaconda-14.18-1.fc14
Comment 6 He Rui 2010-10-13 04:58:32 EDT
Created attachment 453117 [details]
Attached traceback automatically from anaconda.
Comment 7 He Rui 2010-10-13 05:00:21 EDT
Reproduced in anaconda 14.19, so move back to ASSIGNED.
Comment 8 Brian Lane 2010-10-13 14:54:50 EDT
Give this a try: http://bcl.fedorapeople.org/updates/635778.img
Comment 9 He Rui 2010-10-13 23:11:40 EDT
(In reply to comment #8)
> Give this a try: http://bcl.fedorapeople.org/updates/635778.img

Fixes this issue. Thanks.
Comment 10 Fedora Update System 2010-10-14 19:57:06 EDT
anaconda-14.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.20-1.fc14
Comment 11 Fedora Update System 2010-10-15 00:08:50 EDT
anaconda-14.20-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/anaconda-14.20-1.fc14
Comment 12 Fedora Update System 2010-10-18 23:22:49 EDT
anaconda-14.21-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.21-1.fc14
Comment 13 Fedora Update System 2010-10-19 18:23:41 EDT
anaconda-14.21-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.